 /********************************************************************/
 /****                                                            ****/
 /****                                                            ****/
 /****    Program          : About.c                              ****/
 /****                                                            ****/
 /****    Version          :    03.71                             ****/
 /****                                                            ****/
 /****    Erstversion      : 20.10.1988                           ****/
 /****                                                            ****/
 /****    Letzte nderung  : 09.08.1990                           ****/
 /****                                                            ****/
 /****    Compiliert mit   : siehe MAKEFILE                       ****/
 /****                                                            ****/
 /****    Gelinkt mit      : siehe MAKEFILE                       ****/
 /****                                                            ****/
 /********************************************************************/
 /****                                                            ****/
 /****                                                            ****/
 /****               Copyright by Rdiger Dreier                  ****/
 /****                                                            ****/
 /****                                                            ****/
 /********************************************************************/
 
 /* Einbinden der Include-Files */
 
 
 #ifdef DEBUG
 #include "Plotter.h"
 #include <proto/tool.h>
 #endif
 #include <string.h>
 #include <graphics/gfx.h>
 #include <intuition/intuitionbase.h>
 #include <graphics/text.h>
 
 
 struct NewWindow Fenster3=
  {
   159,70,                                     /* Left/TopEdge    */
   288,120,                                    /* Width/Height    */
   FARBE3,FARBE2,                              /* Detail/BlockPen */
   MOUSEBUTTONS,                               /* IDCMP-Flags     */
   ACTIVATE,                                   /* Flags           */
   NULL,                                       /* Gadget          */
   NULL,                                       /* Image           */
   "   A B O U T   ",      /* Titel           */
   NULL,                                       /* Screen          */
   NULL,                                       /* BitMap          */
   0,0,0,0,                                    /* Limits          */
   CUSTOMSCREEN                                /* Type            */
  };
 
 
 VOID About(VOID)
  {
   struct RastPort *RastPort;
   struct Window   *Window3;
   long enable;
   
   if(!(Window3=OpenWindow(&Fenster3)))return;
   
   RastPort=Window3->RPort;
   
   enable=AskSoftStyle(RastPort);
   
   SetSoftStyle(RastPort,FSF_UNDERLINED|FSF_BOLD,enable);
   Center(Window3,"P L O T T E R",FARBE3,30);
   SetSoftStyle(RastPort,FS_NORMAL,enable);
   Center(Window3," by Rdiger Dreier 1988-90",FARBE2,80);
   Center(Window3,"Version 3.71, 09.08.1990",FARBE2,95);
   Center(Window3,ABOUT_FREEWARE,FARBE2,110);
   
   Wait(1L<<Window3->UserPort->mp_SigBit);
   EventAbfrage(Window3,&msgInfo);
   CloseWindow(Window3);
  }
 
